Page MenuHomePhabricator

Format SubEntityIds (e.g. FormId) of redirected lexemes
Closed, ResolvedPublic

Description

The other merge tickets seem not to contain written specification what should happen in case of links to forms that were contained in lexemes that have been merged/redirected since. How should they be formatted? The information we normally use to render them (representations) is lost and we can hardly (would be a story in its own to try) find it in the new lexeme. I vaguely remember discussions about creating a red link showing just the old id. But point where? We would have access to the new lexeme id.

AC:

  • render id (serialization) as anchor text
  • link to form on "old" lexeme (e.g. Lexeme:L9#L9-F2), i.e. the redirect has no effect on where we link to (same as before)

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterFormId*Formatter: handle redirected lexeme

Event Timeline

Pablo-WMDE triaged this task as Medium priority.Aug 23 2018, 3:03 PM
Pablo-WMDE created this task.
Pablo-WMDE updated the task description. (Show Details)Aug 23 2018, 3:23 PM
Pablo-WMDE updated the task description. (Show Details)
Pablo-WMDE added a subscriber: Lydia_Pintscher.

Change 454838 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] FormId*Formatter: handle redirected lexeme

https://gerrit.wikimedia.org/r/454838

We can just store a mapping of old form/sense ID to new form/sense ID in the page of redirected lexeme. But they should be editable in some way, at least in API.

For now let's leave it pointing to the old Lexeme and Form ID. This isn't amazing but fine for now until we have figured out a good way to map Form and Sense IDs through redirects.

Pablo-WMDE updated the task description. (Show Details)Aug 24 2018, 8:31 AM
Pablo-WMDE removed Pablo-WMDE as the assignee of this task.Aug 27 2018, 11:47 AM

Change 454838 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] FormId*Formatter: handle redirected lexeme

https://gerrit.wikimedia.org/r/454838

Pablo-WMDE closed this task as Resolved.Aug 29 2018, 1:01 PM